Bug 585913 - UML machines booting very slow
UML machines booting very slow
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 08:10 EDT by Michael Monreal
Modified: 2012-06-04 11:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 11:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log of first run (fast) (5.82 KB, text/plain)
2010-04-29 04:56 EDT, Michael Monreal
no flags Details
Log of second run (slooooow) (5.82 KB, text/plain)
2010-04-29 04:56 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2010-04-26 08:10:18 EDT
I recently upgraded my F11 machine to the latest F13 and now found that booting UML machines takes much longer than before. I use the VNUML¹ script and it only works if I increase the boot timeout to about 100 seconds.

I took the latest F11 kernel (2.6.30.10-105.2.23.fc11.i586) and manually installed it on the system. It does not load X11 (incompatibility with the intel driver maybe?) but running UML machines from the console works fine and is fast.

I then tried the latest F12 kernel, it boots into X11 but it has the same problem as the current F13 kernel.

I wonder what changed between kernel 2.6.30 and 2.6.32 which could cause this?

[1] www.dit.upm.es/vnuml
Comment 1 Chuck Ebbert 2010-04-27 08:14:56 EDT
You could try an older F-12 2.6.31 kernel to further narrow down the problem.
Comment 2 Michael Monreal 2010-04-27 10:09:53 EDT
Thanks for the hint. Using kernel-2.6.31.9-174.fc12 (latest .31 I could find), it still seems to work fine!
Comment 3 Michael Monreal 2010-04-28 06:12:22 EDT
Small update: a collegue is using sabayon linux with kernel 2.6.33 and UML works fine for him. So either sabayon has this already patched, some fedora specific patch causes the problem in the first place or there is some bad fedora kernel <-> userland interaction going one here...
Comment 4 Michael Monreal 2010-04-29 04:55:27 EDT
In order to give some numbers how bad this is, I did a minimal test (booting and shutting down a single VM) with the linux-2.6.18.1-bb2-xt-4m UML kernel and root_fs_tutorial-0.5.2 from [1]:

2.6.31.9-174.fc12.i686 0:23.39
2.6.33.1-24.fc13.i686  2:34.32

Huge difference...

[1] http://www.dit.upm.es/vnumlwiki/index.php/Download
Comment 5 Michael Monreal 2010-04-29 04:56:04 EDT
Created attachment 410034 [details]
Log of first run (fast)
Comment 6 Michael Monreal 2010-04-29 04:56:26 EDT
Created attachment 410035 [details]
Log of second run (slooooow)
Comment 7 Michael Monreal 2010-04-29 04:57:31 EDT
If you run a diff, there are no additional error messages or anything like that in the slow log.
Comment 8 Michael Monreal 2010-05-05 04:50:09 EDT
Please tell me if I can provide any more information.
Comment 9 Michael Monreal 2010-05-07 04:39:01 EDT
Update regarding comment 3: it does *not* work fine on Sabayon using its .33 kernel. It's much slower there, too (but it was not as obvious as the hardware is much faster on this box).

So, this is very likely a bug in the upstream kernel after all.
Comment 10 Michael Monreal 2010-05-10 08:11:43 EDT
Another update: looks like the disastrous performance with 2.6.33.1-24.fc13.i686 was mainly caused by kernel debugging being active. The current F13 kernel performs better, while the debug build performs similar to 2.6.33.1-24.fc13.i686:

2.6.33.3-85.fc13.i686 - 1:12.05
2.6.33.3-85.fc13.i686.debug - 2:38.96

This also shows that 2.6.33.3-85.fc13.i686 is still about 3 times slower than 2.6.31.*

A few more numbers (running the same simple test):

2.6.31.12-174.2.22.fc12.i686 - 0:23.40 // last .31 kernel for F12
2.6.32.3-13.fc12.i686 - 1:11.56 //first .32 kernel for F12
2.6.32.12-115.fc12.i686	- 1:10.72 // last .32 kernel for F12

I can reproduce this all the time, so the regression has to be somewhere between 2.6.31.12 and 2.6.32.3, most likely just 2.6.31->2.6.32
Comment 11 Michael Monreal 2010-06-04 06:05:35 EDT
2.6.33.5-112.fc13.i686 - 0:50.64

So, latest F13 kernel seems to be ~20 seconds faster, meaning it now "only" takes about twice the time to complete the test. No idea what change caused the improvement.
Comment 12 Bug Zapper 2011-06-02 10:51:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Michael Monreal 2011-06-03 06:35:45 EDT
Still valid...
Comment 14 Dave Jones 2011-09-01 14:03:57 EDT
I'm wondering if this is related to the utrace patch we carry.
Is it still occuring with the 2.6.40.3 updates ?

Note You need to log in before you can comment on or make changes to this bug.